﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{93E70F79-40CA-478F-8D24-0C5D385613D6}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Splorr</RootNamespace>
    <AssemblyName>Splorr</AssemblyName>
    <TargetFrameworkVersion>v4.5.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Base Classes\InstanceBase.cs" />
    <Compile Include="Base Classes\ScriptableBase.cs" />
    <Compile Include="Configuration\Dialog\ConditionalDialogElement.cs" />
    <Compile Include="Configuration\Configuration.cs" />
    <Compile Include="Configuration\Dialog\Dialog.cs" />
    <Compile Include="Configuration\Dialog\DialogCommand.cs" />
    <Compile Include="Configuration\Dialog\DialogCommands.cs" />
    <Compile Include="Configuration\Dialog\DialogIcon.cs" />
    <Compile Include="Configuration\Dialog\DialogLine.cs" />
    <Compile Include="Configuration\Dialog\DialogSection.cs" />
    <Compile Include="Configuration\Effect.cs" />
    <Compile Include="Configuration\Creature.cs" />
    <Compile Include="Configuration\Item.cs" />
    <Compile Include="Base Classes\Descriptor.cs" />
    <Compile Include="Configuration\Terrain.cs" />
    <Compile Include="Interfaces\IInstance.cs" />
    <Compile Include="Interfaces\IDescriptor.cs" />
    <Compile Include="Interfaces\IScriptRunner.cs" />
    <Compile Include="Interfaces\IScriptTable.cs" />
    <Compile Include="Location.cs" />
    <Compile Include="Properties.cs" />
    <Compile Include="Scripts.cs" />
    <Compile Include="Utility\HelperExtensionMethods.cs" />
    <Compile Include="World\Atlas\Atlas.cs" />
    <Compile Include="World\Atlas\AtlasCell.cs" />
    <Compile Include="World\Atlas\AtlasColumn.cs" />
    <Compile Include="GameData.cs" />
    <Compile Include="Interfaces\IHierarchical.cs" />
    <Compile Include="World\Map\Instances\MapCellInstance.cs" />
    <Compile Include="World\Map\Instances\ItemInstance.cs" />
    <Compile Include="World\Map\Instances\CreatureInstance.cs" />
    <Compile Include="World\Map\Instances\EffectInstance.cs" />
    <Compile Include="World\Map\Instances\TerrainInstance.cs" />
    <Compile Include="World\Map\Map.cs" />
    <Compile Include="World\Map\MapCell.cs" />
    <Compile Include="World\Map\MapColumn.cs" />
    <Compile Include="Player\Player.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="World\World.cs" />
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>